Bug 8484 - use %configure instead of ./configure
use %configure instead of ./configure
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ncurses (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-15 00:02 EST by andrewem
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-17 08:13:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andrewem 2000-01-15 00:02:19 EST
The spec file does something like
  CFLAGS="$RPM_OPT_FLAGS -DPURE_TERMINFO" ./configure --prefix=/usr ...
This is a pain when it comes to porting to newer architectures when the
package has outdated config.sub and config.guess scripts (very common).

A simple change to
  CFLAGS="%{optflags} -DPURE_TERMINFO"
  %define optflags $CFLAGS
  %configure ...
  make
Note that the exact syntax is important in order to avoid a recursive
macro.
Comment 1 Bernhard Rosenkraenzer 2000-01-17 08:13:59 EST
done.

Note You need to log in before you can comment on or make changes to this bug.